[Rubygems-developers] [CruiseControl] RubyGemsGitHub build 1e71d86 failed

Chad Woolley thewoolleyman at gmail.com
Mon Dec 13 03:46:44 EST 2010


On Mon, Dec 13, 2010 at 12:58 AM, Eric Hodel <drbrain at segment7.net> wrote:
> On Dec 12, 2010, at 23:05, Chad Woolley wrote:
>> On Sun, Dec 12, 2010 at 5:26 PM, Ryan Davis <ryand-ruby at zenspider.com> wrote:
>>>
>>> On Dec 12, 2010, at 05:01 , devnull+rubygems-ci at pivotallabs.com wrote:
>>>
>>>> Name: test_execute_nonexistent_with_hint(TestGemCommandsInstallCommand)
>>>> Type: Failure
>>>> Message: [Gem::SystemExitException] exception expected, not
>>>> Class: <ArgumentError>
>>>> Message: <"wrong number of arguments (1 for 0)">
>>>> ---Backtrace---
>>>> /home/pivotal/.cruise/projects/RubyGemsGitHub/work/test/../lib/rubygems/spec_fetcher.rb:196:in `flatten'
>>>
>>> This is 1.8.6, isn't it?
>>>
>>> If so, then this CI should be shut down / changed to 1.8.7.
>>
>> This is the first time someone has asked for it to be changed.  1.8.6
>> is just the system ruby on this CI box, but I'm glad to hook it up
>> with RVM for any interpreters we wish.  Let me know which ones you
>> want.
>
> Supported platforms are 1.8.7, 1.9.1, 1.9.2

Ok.  If I set them up, are committers going to keep them green, or
question their necessity?  If not, I've got better things to spend my
time on...


More information about the Rubygems-developers mailing list